
package de.ivu.elect.presentation.ergebnis.exchange;

import javax.inject.Inject;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.exchange.ExportDescription;

public class StimmenExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient ErgebnisPageMenuErmittler ergebnisPageMenuErmittler;

  @Override
  public String getExportSearchViewId() {
    return StimmenExportSearchView.VIEW_ID;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.STIMMEN_EXPORT;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.STIMMEN_EXPORTIEREN;
  }

  @Override
  public String getPageMenuComponentName() {
    return ergebnisPageMenuErmittler.getErgebnisPageMenu();
  }

  @Override
  public boolean isSpecificPerWahl() {
    return true;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }
}
